# Conflicts:
#	ios/RNFirebase/admob/RNFirebaseAdMob.m
#	ios/RNFirebase/database/RNFirebaseDatabase.h
#	ios/RNFirebase/database/RNFirebaseDatabaseReference.m
#	lib/modules/admob/index.js
#	tests/ios/Podfile.lock
This commit is contained in:
Salakar
2017-08-12 19:07:51 +01:00
parent ac258681bc
commit 0675aa076d
13 changed files with 242 additions and 31 deletions

View File

@@ -104,7 +104,7 @@ PODS:
- React/cxxreact (0.44.3):
- React/jschelpers
- React/jschelpers (0.44.3)
- RNFirebase (2.1.0):
- RNFirebase (2.1.2):
- React
- Yoga (0.44.3.React)
@@ -126,11 +126,11 @@ DEPENDENCIES:
EXTERNAL SOURCES:
React:
:path: ../node_modules/react-native
:path: "../node_modules/react-native"
RNFirebase:
:path: ./../../
:path: "./../../"
Yoga:
:path: ../node_modules/react-native/ReactCommon/yoga
:path: "../node_modules/react-native/ReactCommon/yoga"
SPEC CHECKSUMS:
Firebase: 1492bf04e1b73a7353b4fb2cf5a20bac9692f341
@@ -151,9 +151,9 @@ SPEC CHECKSUMS:
nanopb: 5601e6bca2dbf1ed831b519092ec110f66982ca3
Protobuf: d582fecf68201eac3d79ed61369ef45734394b9c
React: 6361345ebeb769a929e10a06baf0c868d6d03ad5
RNFirebase: aef6fb5e509449546aa65cef2efae02d903c5fce
RNFirebase: f796cb5ff9c09f72f181f72a8b9fd972fccc9c49
Yoga: c90474ca3ec1edba44c97b6c381f03e222a9e287
PODFILE CHECKSUM: 45666f734ebfc8b3b0f2be0a83bc2680caeb502f
COCOAPODS: 1.3.1
COCOAPODS: 1.2.1

View File

@@ -1062,7 +1062,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
showEnvVarsInLog = 0;
};
2D02E4CB1E0B4B27006451C7 /* Bundle React Native Code And Images */ = {

View File

@@ -3,8 +3,8 @@ import sinon from 'sinon';
import DatabaseContents from '../../support/DatabaseContents';
function offTests({ describe, it, xcontext, context, firebase }) {
describe('ref().off()', () => {
function offTests({ fdescribe, it, xcontext, context, firebase }) {
fdescribe('ref().off()', () => {
it('doesn\'t unbind children callbacks', async () => {
// Setup

View File

@@ -1,9 +1,9 @@
import 'should-sinon';
import Promise from 'bluebird';
export default function onChildAddedTests({ describe, beforeEach, afterEach, it, firebase }) {
describe('ref().on(\'child_added\')', () => {
describe('the snapshot', () => {
export default function onChildAddedTests({ fdescribe, beforeEach, afterEach, it, firebase }) {
fdescribe('ref().on(\'child_added\')', () => {
fdescribe('the snapshot', () => {
let ref;
let childRef;
let childVal;

View File

@@ -1,7 +1,7 @@
import 'should-sinon';
function onTests({ describe, it, firebase, context }) {
describe('ref().on()', () => {
function onTests({ fdescribe, it, firebase, context }) {
fdescribe('ref().on()', () => {
// Observed Web API Behaviour
context('when no eventName is provided', () => {
it('then raises an error', () => {

View File

@@ -4,8 +4,8 @@ import Promise from 'bluebird';
import DatabaseContents from '../../../support/DatabaseContents';
function onTests({ describe, context, it, firebase, tryCatch }) {
describe('ref().on(\'value\')', () => {
function onTests({ fdescribe, context, it, firebase, tryCatch }) {
fdescribe('ref().on(\'value\')', () => {
// Documented Web API Behaviour
it('returns the success callback', () => {
// Setup